Week 5

Week 5 (11/22): FINISHING / PRESENTATION

  • Due: Your plan of attack for the project
  • Discussion: Finishing/ Presentation
  • Class: 7-9 | Tutorial: 9-10
  • Tutorial: Rhino.Script
  • We will be meeting in the INTERNATIONAL AFFAIRS building
  • room 407 IAB

Option Explicit

‘Script written by mark.bearak

‘Script copyrighted by parametric.realizations

‘Script version Monday, November 22, 2010 4:27:34 PM

Call Main()

Sub Main()

Dim i,j, arrPt, arrAttPt, dblDist

Dim strAttPt : strAttPt = rhino.GetObject (“select point”,1)

arrAttPt = Rhino.PointCoordinates (strAttPt)

For i = 0 To 10

For j = 0 To 10

arrPt = array(i*10,j*10,0)

dblDist = Rhino.distance (arrAttPt, arrPt)

Call Rhino.AddPoint (arrPt)

dblDist = (50 – dblDist)/10

If dblDist < 2 Then dblDist = 2

Call Rhino.AddCircle3Pt (array(arrPt(0)-dblDist,arrPt(1),arrPt(2)),array(arrPt(0),arrPt(1)+dblDist,arrPt(2)),array(arrPt(0)+dblDist,arrPt(1),arrPt(2)))

Next

Next

End Sub

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s